{{- if .Values.cronJobResetDB -}}
apiVersion: batch/v1
kind: Job
metadata:
  name: backup-initial-db-job-{{ .Release.Name }}
  namespace: {{ .Release.Namespace }}
  annotations:
    "helm.sh/hook": post-install,post-upgrade,post-rollback
spec:
  #ttlSecondsAfterFinished: 30
  template:
    spec:
      containers:
      - name: backup-initial-db
        image: {{ .Values.cronJobResetDBImage }}
        imagePullPolicy: IfNotPresent
        env:
          - name: APP_DBNAME
            value: ContactBaseData{{ .Values.shortNameEnv | title }}
          - name: PGHOST
            value: postgresql-svc.{{ .Values.sharedEnvironment }}.svc.cluster.local
          - name: PGUSER
            value: postgres
          - name: PGPASSWORD
            valueFrom:
              secretKeyRef:
                name: postgresql-secrets
                key: POSTGRES_DB_PASSWORD
        command:
        - /bin/sh
        - -c
        - >
          echo Waiting for DB to be ready...;
          while ! pg_isready >dev/null; do sleep 3; done;
          echo DB is ready and accepting conncetions;
          echo Start backup current DB: ${APP_DBNAME} ...;
          pg_dump --file "/mnt/db-backups/${APP_DBNAME}" --host "postgresql-svc.{{ .Values.sharedEnvironment }}.svc.cluster.local" --port "5432" --username "postgres" --no-password --verbose --format=c --create --clean --inserts --column-inserts "${APP_DBNAME}";
          echo Backup current DB done;
        volumeMounts:
        - mountPath: "/mnt/db-backups"
          name: backup-volume
      volumes:
        - name: backup-volume
          persistentVolumeClaim:
            claimName: database-backups
      restartPolicy: OnFailure
{{- end -}}